class Nezaman

	def self.basit(time)

		if time.is_a?(Time)
			elapsed = Time.now - time
		else
			raise 'TR: Lütfen Time classına ait bir obje giriniz. EN: Please provide a Time object. '
		end

		result = ""

		case elapsed

			when 0..60 
				result = elapsed.round.to_s + "sn"
			when 61..3600  
				elapsed = (elapsed / 60).round
				result = elapsed.to_s + "dkk"
			when 3601..86400
				elapsed = (elapsed / 3600).round
				result = elapsed.to_s + "s"
			when 86401..2592000
				elapsed = (elapsed / 86400).round
				result = elapsed.to_s + "g"
			when 2592001..31104000
				elapsed = (elapsed / 2592000).round
				result = elapsed.to_s + "a"
			else
				elapsed = (elapsed / 31104000).round
				result = elapsed.to_s + "y"
		end
		
		return result
	end

	def self.normal(time)

		if time.is_a?(Time)
			elapsed = Time.now - time
		else
			raise 'TR: Lütfen Time classına ait bir obje giriniz. EN: Please provide a Time object. '
		end

		result = ""

		case elapsed

			when 0..60 
				result = elapsed.round.to_s + " saniye"
			when 61..3600  
				elapsed = (elapsed / 60).round
				result = elapsed.to_s + " dakika"
			when 3601..86400
				elapsed = (elapsed / 3600).round
				result = elapsed.to_s + " saat"
			when 86401..2592000
				elapsed = (elapsed / 86400).round
				result = elapsed.to_s + " gün"
			when 2592001..31104000
				elapsed = (elapsed / 2592000).round
				result = elapsed.to_s + " ay"
			else
				elapsed = (elapsed / 31104000).round
				result = elapsed.to_s + " yıl"
		end
		
		return result
	end

	def self.uzun(time)
		return normal(time) + " önce"
	end


end
